/*
Copyright (C) 2000-2010  Ministere de la culture et de la communication (France), AJLSM
See LICENCE file
*/
package fr.gouv.culture.sdx.oai;

import fr.gouv.culture.sdx.documentbase.LuceneDocumentBase;

public class LuceneDocumentBaseOAIHarvester extends AbstractDocumentBaseOAIHarvester {


    public LuceneDocumentBaseOAIHarvester(LuceneDocumentBase base) {
        super(base);
    }

    /////redo these methods

    /*TODO? : why did i put this here, doesn't it belong in an oaiRepository class?-rbp
    public void purgeDeletedRecords() {
        try {
            LuceneIndex luceneSearchIndex = getSearchIndex();
            luceneSearchIndex.delete(new Term(LuceneDocumentBase.OAI_DELETED_RECORD, INTERNAL_FIELD_VALE_WILDCARD_ASTERIX));
            luceneSearchIndex.optimize();
        } catch (SDXException e) {
            Utilities.logException(super.getLog(), e);
        }

    } */

}
